<?php

function purefit_body_class($classes){

        if (is_page()) {
            global $post;
            $pid = $post->ID;
            $meta = get_post_meta($pid, '_purefit_meta', 'true');
            $style_class = isset($meta['style']) && $meta['style'] ? $meta['style'] : '';
            $classes[] = $style_class;
        } else {
            $classes[] = 'purefit-inner-page';
        }
        return $classes;
}
add_filter('body_class', 'purefit_body_class');

function ae_drop_posts($post_type){
  $args = array(
    'numberposts' => -1,
    'post_type'   => $post_type
  );

  $posts = get_posts( $args );        
  $list = array();
  foreach ($posts as $cpost){
  //  print_r($cform);
      $list[$cpost->ID] = $cpost->post_title;
  }
  return $list;
}

function get_wp_image($source){
  if (isset($source)){
      $image =  wp_get_attachment_image( $source['id'], 'full' );
  }
  return $image;

}


function purefit_menu_selector() {
  $menus = wp_get_nav_menus();
  $items = array();
  $i     = 0;
  foreach ( $menus as $menu ) {
      if ( $i == 0 ) {
          $default = $menu->slug;
          $i ++;
      }
      $items[ $menu->slug ] = $menu->name;
  }
  return $items;
}

/**
 * All Category List
 */
function purefit_blog_category (){
    $terms = get_terms( array(
        'taxonomy'    => 'category',
        'hide_empty'  => true
    ) );

    $cat_list = [];
    foreach($terms as $post) {
        $cat_list[$post->slug]  = [$post->name];
    }
    return $cat_list;
}

/**
 * Authore Avater
 */
function purefit_post_author_avatars($size) {
    echo get_avatar(get_the_author_meta('email'), $size);
}

add_action('genesis_entry_header', 'purefit_post_author_avatars');


/**
 * Post Social Share
 *
 * @return void
 */
function purefit_post_share() {

    $post_title   = htmlspecialchars( urlencode( html_entity_decode( esc_attr( get_the_title() ), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8');
    $post_id    = get_the_ID();
    $post_url   = get_permalink( $post_id );
    ?>
    <h5 class="title"><?php esc_html_e( 'Share:', 'purefit-core' );?></h5>
    <ul class="ul_li">
        <li>
            <a href="https://www.facebook.com/sharer.php?u=<?php echo rawurlencode( esc_url( $post_url  ) ); ?>"  rel="external" target="_blank" class="fb-share">
                <i class="fab fa-facebook-f"></i>
            </a>
        </li>

        <li>
            <a href="https://twitter.com/share?text=<?php echo wp_strip_all_tags( $post_title ); ?>&amp;url=<?php echo rawurlencode( esc_url( $post_url  ) ); ?>" rel="external" target="_blank" class="twitter-share">
                <svg width="14" height="13" viewBox="0 0 14 13" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M4.45455 0H0L5.25691 7.15942L0.286332 12.9999H1.97271L6.03801 8.22315L9.54545 13H14L8.52199 5.53949L13.2364 0H11.5501L7.74092 4.47576L4.45455 0ZM10.1818 11.7L2.54545 1.3H3.81818L11.4545 11.7H10.1818Z" fill="#060606" />
                </svg>
            </a>
        </li>

        <li>
            <a href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo rawurlencode( esc_url( $post_url  ) ); ?>&amp;title=<?php echo wp_strip_all_tags( $post_title ); ?>&amp;summary=<?php echo urlencode( wp_trim_words( strip_shortcodes( get_the_content( $post_id ) ), 40 ) ); ?>&amp;source=<?php echo esc_url( home_url( '/' ) ); ?>"  rel="external" target="_blank" class="linkedin-share">
                <i class="fab fa-linkedin-in"></i>
            </a>
        </li>

        <li>
            <a href="https://www.pinterest.com/pin/create/button/?url=<?php echo rawurlencode( esc_url( $post_url  ) ); ?>&amp;media=<?php echo wp_get_attachment_url( get_post_thumbnail_id( $post_id ) ); ?>&amp;description=<?php echo urlencode( wp_trim_words( strip_shortcodes( get_the_content( $post_id ) ), 40 ) ); ?>"  rel="external" target="_blank" class="pinterest-share">
                <i class="fab fa-pinterest"></i>
            </a>
        </li>
    </ul>
    <?php
}

function purefit_portfolio_category(){
    $terms = get_terms( array(
        'taxonomy'    => 'portfolio_cat',
        'hide_empty'  => true,
    ) );

    $cat_list = [];
    foreach($terms as $post) {
        $cat_list[$post->slug]  = [$post->name];
    }
    return $cat_list;
}
function purefit_county_category(){
    $terms = get_terms( array(
        'taxonomy'    => 'county_cat',
        'hide_empty'  => true,
    ) );

    $cat_list = [];
    foreach($terms as $post) {
        $cat_list[$post->slug]  = [$post->name];
    }
    return $cat_list;
}

/**
 * Header Search
 *
 * @return  [type]  [return description]
 */
function purefit_heder_search2(){ ?>
    <div class="header-search">
        <?php
        $search_icon = PUREFIT_DIR_URL . 'assets/img/h_search.svg';
        ?>
        <span><img src="<?php echo esc_url($search_icon); ?>" alt=""></span>
        <form action="<?php echo esc_url(home_url( '/' ));?>">
            <input type="search" placeholder="<?php esc_attr_e( 'what\'re you looking for ?', 'purefit-core' );?>" value="<?php echo get_search_query();?>" name="s">
        </form>
    </div>
    <?php
}

function purefit_country_category() {
    $terms = get_terms( array(
        'taxonomy'    => 'country_cat',
        'hide_empty'  => true,
    ) );

    $cat_list = array();
    foreach ( $terms as $term ) {
        $cat_list[ $term->term_id ] = $term->name;
    }

    return $cat_list;
}

add_action('wp_ajax_tp_add_cart_single_product','add_cart_single_product_ajax');
add_action('wp_ajax_nopriv_tp_add_cart_single_product','add_cart_single_product_ajax');

function add_cart_single_product_ajax(){

    if ( ! wp_verify_nonce( sanitize_text_field(wp_unslash($_POST['nonce'])), 'ajax-nonce' ) ) {
        wp_die();
    }

    add_action( 'wp_loaded', [ 'WC_Form_Handler', 'add_to_cart_action' ], 20 );

    if ( is_callable( [ 'WC_AJAX', 'get_refreshed_fragments' ] ) ) {
        WC_AJAX::get_refreshed_fragments();
    }

    wp_die();
}